function Hdpmap2_test

% L = 0, X = S   min(n) = 1   max(abs(M)) = 0
% L = 1, X = P   min(n) = 2   max(abs(M)) = 1
% L = 2, X = D   min(n) = 3   max(abs(M)) = 2
% L = 3, X = F   min(n) = 4   max(abs(M)) = 3
% L = 4, X = G   min(n) = 5   max(abs(M)) = 4
% L = 5, X = H   min(n) = 6   max(abs(M)) = 5
% L = 6, X = I   min(n) = 7   max(abs(M)) = 6

%Define quantum number
n = 5;

%Define orbital string
orbital = 'G';

%Define magnetic quantum number. To plot all (M = 0, +/-1, +/-2,...+/- L)
%then set M = [];
M = 2;

%Define # of radial points. (Note azi points will be twice this).
N =200;

%Define atomic parameters
Z = 1;
A = 1;

%Define limits of color axis which correspond to the scaled probability
%density map
cax = [0,1];

%

%Compute orbitals
addpath('functions','-begin');
disp(' ')
disp('... Computing Hydrogenic wavefunctions')
disp(' ')
L = orbital2L(orbital);
[x,y,z,W,E,M] = Hdpmap2( n, orbital, L, M, Z, A, N );

%

disp('... plotting wavefunctions in 3D')

%Probability density surface volume visualization (nested iso-surfaces)
dim = size(W);
for m=1:dim(2)
    volume(x,y,z,W(m).pd, 0.7, 1, cax );
end
camlight;
camlight(-80,-10);
lighting phong;
axis tight
axis vis3d
title_str = ['Hydrogenic atom: Z=',num2str(Z),...
    ', A=',num2str(A),', orbital ',num2str(n),orbital,', E=',...
    num2str(E),'eV , M=',num2str(M)];
tit = title(title_str);
xlabel('x in Angstroms')
ylabel('y in Angstroms');
zlabel('z in Angstroms');
colorbar
grid on
print(gcf,['H orbitals\3D H_orbital',' ',orbital],'-dpng','-r300');

%Remove function directory from path
rmpath('functions')

%End of code


