function Hdpmap3_test

% L = 0, X = S   min(n) = 1   max(abs(M)) = 0
% L = 1, X = P   min(n) = 2   max(abs(M)) = 1
% L = 2, X = D   min(n) = 3   max(abs(M)) = 2
% L = 3, X = F   min(n) = 4   max(abs(M)) = 3
% L = 4, X = G   min(n) = 5   max(abs(M)) = 4
% L = 5, X = H   min(n) = 6   max(abs(M)) = 5
% L = 6, X = I   min(n) = 7   max(abs(M)) = 6

%Define quantum number
n = 5;

%Define orbital string
orbital = 'G';

%Define magnetic quantum number. To plot all (M = 0, +/-1, +/-2,...+/- L)
%then set M = [];
M = [];

%Define # of radial points. (Note azi points will be twice this).
N =50;

%Define # of z slices
Nz = 12;

%Define atomic parameters
Z = 1;
A = 1;

%Define limits of color axis which correspond to the scaled probability
%density map
cax = [0,1];

%

%Compute orbitals
addpath('functions','-begin');
disp(' ')
disp('... Computing Hydrogenic wavefunctions')
disp(' ')
L = orbital2L(orbital);
[x,y,z,W,E,M] = Hdpmap2( n, orbital, L, M, Z, A, N );

%

%Probability density surface volume visualization (slice planes)
for m=1:length(M)
    volume2(x,y,z,W(m).pd,cax)
    title(['m=',num2str(M(m))]);
    colorbar;
    saveas(gcf,['H orbitals\z slice planes H_orbital ',...
        orbital,' m=',num2str(M(m))],'png')
    clf;
end
close(gcf);
montage('H orbitals',['z slice planes H_orbital ',orbital,' m='],1)

%

%Montage of 2D z slice planes. One for each magnetic quantum number.
for m=1:length(M)
    volume3( 'H orbitals',['z slice H_orbital ',orbital,' m=',num2str(M(m))],...
        x,y,z,W(m).pd,'z',Nz,cax )
end

%Remove function directory from path
rmpath('functions')

%End of code


