function Hdpmap_test

% L = 0, X = S   min(n) = 1   max(abs(M)) = 0
% L = 1, X = P   min(n) = 2   max(abs(M)) = 1
% L = 2, X = D   min(n) = 3   max(abs(M)) = 2
% L = 3, X = F   min(n) = 4   max(abs(M)) = 3
% L = 4, X = G   min(n) = 5   max(abs(M)) = 4
% L = 5, X = H   min(n) = 6   max(abs(M)) = 5
% L = 6, X = I   min(n) = 7   max(abs(M)) = 6

%Define quantum number
n = 5;

%Define orbital string
orbital = 'G';

%Define magnetic quantum number. To plot all (M = 0, +/-1, +/-2,...+/- L)
%then set M = [];
M = [];

%Define # of radial points. (Note azi points will be twice this).
N =30;

%Define # of z points
Nz = 2*N;

%Number of z plane slices
num_z_slices = 12;

%Define atomic parameters
Z = 1;
A = 1;

%Minimum scaled probability density to be plotted
Wmin = 0.5;

%

%Plot 3D map
addpath('functions','-begin');
L = orbital2L(orbital);
hdpmap( n, orbital, L , M, Z, A, N, Nz, Wmin, num_z_slices);
rmpath('functions')

%End of code